wxRuby Documentation Home

# Wx::CalendarEvent

The CalendarEvent class is used together with
CalendarCtrl.

## Derived from

DateEvent

CommandEvent

Event

Object

## See also

CalendarCtrl

## Methods

- CalendarEvent#get_week_day
- CalendarEvent#set_week_day

### CalendarEvent#get_week_day

Integer get_week_day()

Returns an integer for the weekday clicked in an
`EVT_CALENDAR_WEEKDAY_CLICKED` handler. This is an integer corresponding
to the day name that the user clicked upon in a
CalendarCtrl (Sunday = 0, Monday = 1, Tuesday = 2
etc, as in Ruby’s Time class).

It doesn’t make sense to call this method in other handlers.

### CalendarEvent#set_week_day

set_week_day(%(arg-type)Integer% day)

Sets the week day carried by the event, normally only used by the library
internally.

[This page automatically generated from the Textile source at 2023-06-09 00:45:31 +0000]